{
  template: '${tmpl}',
  data: function () {
    return {
      companyName: "",
      userName: null,
      created_at: null,
      mobile: null,
    }
  },
  created: function () {
    console.log(this.$store.state.currentUser);
    console.log(this.$store.state.currentCompany);
  },
  methods: {
    payClick() {
      console.log(1231231231232);
      this.$root.pushx({
        title: "支付订阅",
        name: "/pay"
      });
    },
    Date_new(str) {
      let date = new Date(str),
        year = date.getFullYear(),
        month = date.getMonth() + 1,
        day = date.getDate(),
        hours = date.getHours(),
        minutes = date.getMinutes();
      return `${year}-${month}-${day} ${hours}:${minutes}`
    }
  },
  mounted: function () {
    console.log(this.$store.state.currentUser, "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxuser");
    if (this.$store.state.currentUser) {
      this.userName = this.$store.state.currentUser.userName;
      this.mobile = this.$store.state.currentUser.mobile;
      this.created_at =this.Date_new(this.$store.state.currentUser.created_at);
      console.log(this.$store.state.currentUser.created_at, "=================creatae_at")

    }
    if (this.$store.state.currentCompany) {
      this.companyName = this.$store.state.currentCompany.name;
    }
    console.log(this.$store.state.currentCompany, "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx");
  },
  vname: "gsb-policymyinfo"
}